# Min_Max.h File Reference

`#include "ace/config-all.h"`

Include dependency graph for Min_Max.h:

This graph shows which files directly or indirectly include this file:

## Defines

#define | ACE_MIN(a, b) ace_min((a),(b))
#define | ACE_MAX(a, b) ace_max((a),(b))
#define | ACE_RANGE(a, b, c) ace_range((a),(b),(c))

## Functions

template<class T>
ACE_BEGIN_VERSIONED_NAMESPACE_DECL const T & | ace_min (const T &t1, const T &t2)
template<class T>
const T & | ace_max (const T &t1, const T &t2)
template<class T>
const T & | ace_min (const T &t1, const T &t2, const T &t3)
template<class T>
const T & | ace_max (const T &t1, const T &t2, const T &t3)
template<class T>
const T & | ace_range (const T &min, const T &max, const T &val)

## Detailed Description

Id
  Min_Max.h,v 4.7 2005/10/28 16:14:53 ossama Exp

Define an appropriate set of min()/max() functions using templates.

Author:
  Derek Dominish <Derek.Dominish@Australia.Boeing.com>

## Define Documentation

#define ACE_MAX | ( | a,
|  | b |  | ) | ace_max((a),(b))

#define ACE_MIN | ( | a,
|  | b |  | ) | ace_min((a),(b))

#define ACE_RANGE | ( | a,
|  | b,
|  | c |  | ) | ace_range((a),(b),(c))

## Function Documentation

template<class T>
const T& ace_max | ( | const T & | t1,
|  | const T & | t2,
|  | const T & | t3
| ) | `[inline]`

template<class T>
const T& ace_max | ( | const T & | t1,
|  | const T & | t2
| ) | `[inline]`

template<class T>
const T& ace_min | ( | const T & | t1,
|  | const T & | t2,
|  | const T & | t3
| ) | `[inline]`

template<class T>
ACE_BEGIN_VERSIONED_NAMESPACE_DECL const T& ace_min | ( | const T & | t1,
|  | const T & | t2
| ) | `[inline]`

template<class T>
const T& ace_range | ( | const T & | min,
|  | const T & | max,
|  | const T & | val
| ) | `[inline]`